version: '3'

services:
  server:
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "3000:3000"
    environment:
      - PORT=3000
    depends_on:
      - redis
    networks:
      - infra-2023

  redis:
    image: redis
    ports:
      - "6379:6379"
    networks:
      - infra-2023

  grafana:
    image: grafana/grafana:latest
    ports:
      - "3001:3000"
    environment:
      - GF_PATHS_DATA=/var/lib/grafana
    volumes:
      - grafana-data:/var/lib/grafana
    networks:
      - infra-2023

  prometheus:
    image: prom/prometheus:latest
    ports:
      - "9090:9090"
    volumes:
      - prometheus-data:/prometheus
    command:
      - "--config.file=/etc/prometheus/prometheus.yml"
    networks:
      - infra-2023

networks:
  infra-2023:

volumes:
  grafana-data:
  prometheus-data:
